<?php

namespace App\Imports;

use App\Models\Dataset\DatasetTable44A;
use Maatwebsite\Excel\Concerns\ToModel;
use Maatwebsite\Excel\Concerns\WithStartRow;

class DatasetTable44AImport implements ToModel,WithStartRow
{
    /**
    * @param array $row
    *
    * @return \Illuminate\Database\Eloquent\Model|null
    */
    protected $datasetId;
protected $userId;

    public function __construct($datasetId,$userId)
    {
        $this->datasetId = $datasetId;
        $this->userId = $userId;
    }

public function startRow(): int
    {
        return 6;
    }

public function model(array $row)
    {

// cek kalau row kosong jangan insert
        if ($row[0] === null && $row[1] === null && $row[2] === null && $row[3] === null && $row[4] === null && $row[5] === null && $row[6] === null) {
            return null; // baris kosong dilewati
        }
        return new DatasetTable44A([
            'dataset_id'                => $this->datasetId,
            'created_by'                => $this->userId,
            'kecamatan'                 => $row[1],
            'lokasi'                    => $row[2],
            'jenis_bencana'             => $row[3],
            'jumlah_area_terdampak'     => $row[4],
            'jumlah_korban_mengungsi'   => $row[5],
            'jumlah_korban_meninggal'   => $row[6],
            'perkiraan_kerugian'        => $row[7],
        ]);
    }
}
